require_relative './concerns/memorable.rb'
require 'nokogiri'
require 'open-uri'
require 'pry'

module RecipeInspiration
  class Course

  include Memorable::InstanceMethods

  attr_accessor :name, :url 

  @@all = []
  
    def initialize
      super 
    end 
   
    def self.list_course_names
      RecipeInspiration::Scraper.scrape_courses
    end 

    def self.all 
     @@all
    end 

  end 
end
